#ifndef TASK_H
#define TASK_H

class Task
{
	public:
		Task();
		Task(int id);

		int get_id() const;
		void set_id(int id);

		int get_type() const;
		void set_type(int type);

		int get_earliest_start_time() const;
		void set_earliest_start_time(int start_time);

		int get_real_start_time() const;
		void set_real_start_time(int start_time);

		int get_end_time() const;
		void set_end_time(int end_time);

		int get_duration() const;
		void set_duration(int duration);
		
	private:
		int id;
		int type;
		int earliest_start_time;
		int real_start_time;
		int end_time;
		int duration;
};

#endif
