#include <cstdio>
#include "task_manager.h"

#include <cstdlib>

int main(int argc, char *argv[])
{
	FILE *fp_task = fopen("task.txt", "r");
	FILE *fp_dependency = fopen("dependency.txt", "r");
	FILE *fp_processor = fopen("processor.txt", "r");
	FILE *fp_schedule = fopen("schedule.txt", "r");

	TaskManager task_manager;
	task_manager.make_graph(fp_task, fp_dependency, fp_processor, fp_schedule);
	task_manager.print_output(stdout);

	fclose(fp_task);
	fclose(fp_dependency);
	fclose(fp_processor);
	fclose(fp_schedule);

	return 0;
}

